PodVolumeBackup [velero.io/v1]

Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

PodVolumeBackupSpec is the specification for a PodVolumeBackup.

statusobject

PodVolumeBackupStatus is the current status of a PodVolumeBackup.

.spec

Description
PodVolumeBackupSpec is the specification for a PodVolumeBackup.
Type
object
Required
backupStorageLocationnodepodrepoIdentifiervolume
PropertyTypeDescription
backupStorageLocationstring

BackupStorageLocation is the name of the backup storage location where the backup repository is stored.

nodestring

Node is the name of the node that the Pod is running on.

podobject

Pod is a reference to the pod containing the volume to be backed up.

repoIdentifierstring

RepoIdentifier is the backup repository identifier.

tagsobject

Tags are a map of key-value pairs that should be applied to the volume backup as tags.

uploaderSettingsobject

UploaderSettings are a map of key-value pairs that should be applied to the uploader configuration.

uploaderTypestring

UploaderType is the type of the uploader to handle the data transfer.

volumestring

Volume is the name of the volume within the Pod to be backed up.

.spec.pod

Description
Pod is a reference to the pod containing the volume to be backed up.
Type
object
PropertyTypeDescription
apiVersionstring

API version of the referent.

fieldPathstring

If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers to the name of the container that triggered the event) or if no container name is specified "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object. TODO: this design is not final and this field is subject to change in the future.

kindstring

Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

namestring

Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

namespacestring

Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/

resourceVersionstring

Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency

uidstring

UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids

.spec.tags

Description
Tags are a map of key-value pairs that should be applied to the volume backup as tags.
Type
object

.spec.uploaderSettings

Description
UploaderSettings are a map of key-value pairs that should be applied to the uploader configuration.
Type
object

.status

Description
PodVolumeBackupStatus is the current status of a PodVolumeBackup.
Type
object
PropertyTypeDescription
completionTimestampstring

CompletionTimestamp records the time a backup was completed. Completion time is recorded even on failed backups. Completion time is recorded before uploading the backup object. The server's time is used for CompletionTimestamps

messagestring

Message is a message about the pod volume backup's status.

pathstring

Path is the full path within the controller pod being backed up.

phasestring

Phase is the current state of the PodVolumeBackup.

progressobject

Progress holds the total number of bytes of the volume and the current number of backed up bytes. This can be used to display progress information about the backup operation.

snapshotIDstring

SnapshotID is the identifier for the snapshot of the pod volume.

startTimestampstring

StartTimestamp records the time a backup was started. Separate from CreationTimestamp, since that value changes on restores. The server's time is used for StartTimestamps

.status.progress

Description
Progress holds the total number of bytes of the volume and the current number of backed up bytes. This can be used to display progress information about the backup operation.
Type
object
PropertyTypeDescription
bytesDoneinteger
totalBytesinteger

API Endpoints

The following API endpoints are available:

  • /apis/velero.io/v1/namespaces/{namespace}/podvolumebackups
    • DELETE: delete collection of PodVolumeBackup
    • GET: list objects of kind PodVolumeBackup
    • POST: create a new PodVolumeBackup
  • /apis/velero.io/v1/namespaces/{namespace}/podvolumebackups/{name}
    • DELETE: delete the specified PodVolumeBackup
    • GET: read the specified PodVolumeBackup
    • PATCH: partially update the specified PodVolumeBackup
    • PUT: replace the specified PodVolumeBackup
  • /apis/velero.io/v1/namespaces/{namespace}/podvolumebackups/{name}/status
    • GET: read status of the specified PodVolumeBackup
    • PATCH: partially update status of the specified PodVolumeBackup
    • PUT: replace status of the specified PodVolumeBackup

/apis/velero.io/v1/namespaces/{namespace}/podvolumebackups

HTTP method
DELETE
Description
delete collection of PodVolumeBackup
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind PodVolumeBackup
HTTP responses
HTTP codeResponse body
200 - OKPodVolumeBackupList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new PodVolumeBackup
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyPodVolumeBackup schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKPodVolumeBackup schema
201 - CreatedPodVolumeBackup schema
202 - AcceptedPodVolumeBackup schema
401 - UnauthorizedEmpty

/apis/velero.io/v1/namespaces/{namespace}/podvolumebackups/{name}

HTTP method
DELETE
Description
delete the specified PodVolumeBackup
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified PodVolumeBackup
HTTP responses
HTTP codeResponse body
200 - OKPodVolumeBackup schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified PodVolumeBackup
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKPodVolumeBackup schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified PodVolumeBackup
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyPodVolumeBackup schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKPodVolumeBackup schema
201 - CreatedPodVolumeBackup schema
401 - UnauthorizedEmpty

/apis/velero.io/v1/namespaces/{namespace}/podvolumebackups/{name}/status

HTTP method
GET
Description
read status of the specified PodVolumeBackup
HTTP responses
HTTP codeResponse body
200 - OKPodVolumeBackup schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified PodVolumeBackup
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKPodVolumeBackup schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified PodVolumeBackup
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyPodVolumeBackup schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKPodVolumeBackup schema
201 - CreatedPodVolumeBackup schema
401 - UnauthorizedEmpty